Skip to main content
GET
/
api
/
mail
/
mailbox
Lists all mailbox configurations with decrypted credentials.
curl --request GET \
  --url https://{tenant}.ekso.app/api/mail/mailbox \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "name": "<string>",
    "connectionType": 123,
    "server": "<string>",
    "port": 123,
    "inboxFolder": "<string>",
    "categoryProcessed": "<string>",
    "categorySkipped": "<string>",
    "imapUsername": "<string>",
    "imapPassword": "<string>",
    "imapSmtpServer": "<string>",
    "imapSmtpPort": 123,
    "microsoftEmailAddress": "<string>",
    "microsoftOAuthTenantId": "<string>",
    "microsoftOAuthClientId": "<string>",
    "microsoftOAuthClientSecret": "<string>",
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

List of mailbox configurations.

entity
null | string
name
string
connectionType
integer
server
string
port
integer<int32>
inboxFolder
string
categoryProcessed
string
categorySkipped
string
imapUsername
string
imapPassword
string
imapSmtpServer
string
imapSmtpPort
integer<int32>
microsoftEmailAddress
string
microsoftOAuthTenantId
string
microsoftOAuthClientId
string
microsoftOAuthClientSecret
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean